Use this page to stay up to date on what's new with Android Auto and Android Automotive OS.

## Library releases

See the[Car App](https://developer.android.com/jetpack/androidx/releases/car-app)Jetpack page for release notes about the[Android for Cars App Library](https://developer.android.com/training/cars/apps).

## Samples

|     Date      |      Type      |                                                                                                                                      Details                                                                                                                                      |
|---------------|----------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| June 17, 2025 | Codelab update | The[Learn Car App Library fundamentals](https://developer.android.com/codelabs/car-app-library-fundamentals)codelab is updated to be consistent with changes since it was first published.                                                                                        |
| May 22, 2025  | New codelab    | [Build and test a parked app for Android Automotive OS: Support audio while driving](https://developer.android.com/codelabs/audio-while-driving)                                                                                                                                  |
| May 19, 2025  | Codelab update | The[Build and test a parked app for Android Automotive OS](https://developer.android.com/codelabs/build-a-parked-app)codelab is updated to be consistent with changes since it was first published and to include additional guidance on meeting driver distraction requirements. |
| May 17, 2024  | New codelab    | [Build and test a parked app for Android Automotive OS](https://developer.android.com/codelabs/build-a-parked-app)                                                                                                                                                                |

## Documentation updates

|       Date        |             Type              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  Details                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
|-------------------|-------------------------------| |
| October 20, 2025  | Content update                | Added a new section,[Mark your app as a browser](https://developer.android.com/training/cars/parked/browser#mark-browser), in[Build browsers for Android Automotive OS](https://developer.android.com/training/cars/parked/browser).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| August 15, 2025   | Content update                | Added a new section,[Provide artwork from your app's resources](https://developer.android.com/training/cars/media/create-media-browser/media-artwork#resources)in[Display media artwork](https://developer.android.com/training/cars/media/create-media-browser/media-artwork).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| August 12, 2025   | Content update                | Refactored[Build media apps for cars](https://developer.android.com/training/cars/media)to make content more findable.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| July 16, 2025     | Content update                | Added a new section,[Use a virtual display to render content](https://developer.android.com/training/cars/apps#virtual-display)to[Use the Android for Cars App Library](https://developer.android.com/training/cars/apps).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| June 26, 2025     | Content update                | Added a new section,[Display custom metadata indicators](https://developer.android.com/training/cars/media#custom-metadata-indicators), to[Build media apps for cars](https://developer.android.com/training/cars/media).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| June 30, 2025     | Content update                | The[AppSearch](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services#appsearch)module is available as a[Google Play service for cars with Google built-in](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| June 10, 2025     | Content update                | Addition of Android 16 in the[Releases](https://developer.android.com/training/cars/platforms/releases)page.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| June 6, 2025      | Content update                | Expansion of the guidance from the*Be sure there are no distraction-optimized activities* section into the new[Meet driver distraction requirements](https://developer.android.com/training/cars/parked/automotive-os#driver-distraction)section in[Add support for Android Automotive OS to your parked app](https://developer.android.com/training/cars/parked/automotive-os).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| May 22, 2025      | New document, Content update  | Games are now supported on Android Auto, and can be published to Internal Testing and Closed Testing tracks for both Android Auto and Android Automotive OS. - Rename*Build parked apps for Android Automotive OS* to[Build parked apps for cars](https://developer.android.com/training/cars/parked). - Guidance specific to Android Automotive OS can now be found at[Add support for Android Automotive OS to your parked app](https://developer.android.com/training/cars/parked/automotive-os). - Guidance specific to Android Auto has been added in[Add support for Android Auto to your parked app](https://developer.android.com/training/cars/parked/auto). - Corresponding updates to[Distribute to cars](https://developer.android.com/training/cars/distribute).                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| May 21, 2025      | New document, Content update  | Introduction of the Communication category, which encompasses notification-powered messaging experiences (the former "Messaging" category), templated messaging experiences, and calling experiences: - Addition of[Build communication apps for Android Auto](https://developer.android.com/training/cars/communication),[Build templated messaging experiences for Android Auto](https://developer.android.com/training/cars/communication/templated-messaging), and[Build calling experiences for Android Auto](https://developer.android.com/training/cars/communication/calling). - Renaming and relocation of*Build messaging apps for Android Auto* to[Extend messaging notifications to Android Auto](https://developer.android.com/training/cars/communication/notification-messaging). - Corresponding updates to[Supported app categories](https://developer.android.com/training/cars#supported-app-categories),[Distribute to cars](https://developer.android.com/training/cars/distribute), and[Car app quality](https://developer.android.com/docs/quality-guidelines/car-app-quality#may-25).                                                                                                                             |
| May 21, 2025      | Content update                | Addition of guidance for handling deep links for[media](https://developer.android.com/training/cars/media/automotive-os#support-deep-links)and[templated](https://developer.android.com/training/cars/apps/automotive-os#support-deep-links)apps on Android Automotive OS.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| May 21, 2025      | Content update                | Addition of guidance to[Support audio while driving](https://developer.android.com/training/cars/parked/video#audio-while-driving)for video apps, including the[`DD-4`](https://developer.android.com/docs/quality-guidelines/car-app-quality#DD-4)quality guideline.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| May 21, 2025      | New Document                  | Addition of the[Build templated media apps](https://developer.android.com/training/cars/apps/media)page, which explain new templated media app capabilities for Android Auto. This adds more customizable formatting, browsing abilities, and expanded custom actions. The ability to create Templated media apps are[available in Beta](https://developer.android.com/training/cars#supported-app-categories).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| May 21, 2025      | New document                  | Addition of the[Access Android Automotive OS devices through Firebase Test Lab](https://developer.android.com/training/cars/testing/firebase)page.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| May 21, 2025      | Updated document              | The[Android Automotive OS on Pixel Tablet](https://developer.android.com/training/cars/testing/aaos-on-pixel)system image is now generally available.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| May 21, 2025      | Content update                | The Weather category is now open. Any developer can publish weather apps to any type of track on the Google Play Store.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| May 21, 2025      | Content update                | Many updates to the[Car app quality](https://developer.android.com/docs/quality-guidelines/car-app-quality)guidelines. See the[May 2025 change notes](https://developer.android.com/docs/quality-guidelines/car-app-quality#may-25)for details.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| April 29, 2025    | New document                  | Addition of the[Releases](https://developer.android.com/training/cars/platforms/releases)page, which details the impact of each Android release's API and behavior changes on how apps work on Android Auto and Android Automotive OS.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| April 8, 2025     | New document, Content update  | - Reorganization of the table of contents into**Learn** ,**Build** ,**Test** , and**Distribute**sections. - Addition of: - [Android Auto overview](https://developer.android.com/training/cars/platforms/android-auto) - [Android Automotive OS overview](https://developer.android.com/training/cars/platforms/automotive-os) - [Google Play on Android Automotive OS](https://developer.android.com/training/cars/platforms/automotive-os/google-play) - Relocation of: - [Google Play services for cars](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services) - [Coarse location on Android Automotive OS](https://developer.android.com/training/cars/platforms/automotive-os/coarse-location) - [Android Automotive OS compatibility mode](https://developer.android.com/training/cars/platforms/automotive-os/compatibility-mode) - [Notifications on Android Automotive OS](https://developer.android.com/training/cars/platforms/automotive-os/notifications)                                                                                                                                                                                                                         |
| March 24, 2025    | Content update                | Simplification of`<uses-feature>`requirements for Android Automotive OS apps. See: - [Add support for Android Automotive OS to your templated app](https://developer.android.com/training/cars/apps/automotive-os#declare-features) - [Add Android Automotive OS support to your media app](https://developer.android.com/training/cars/media/automotive-os#declare-features) - [Build parked apps for Android Automotive OS](https://developer.android.com/training/cars/parked#required-features)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| March 14, 2025    | Content update                | Added a new section,[Integration with Google apps and services](https://developer.android.com/training/cars#intents), to describe how you can use intents to build your own apps for use in vehicles that support Android for Cars.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| March 7, 2025     | Content update                | Update of the[Support navigation intents](https://developer.android.com/training/cars/apps/navigation#support-navigation-intents)section of[Build a navigation app](https://developer.android.com/training/cars/apps/navigation)with details about support for intent formats for handling searches and custom actions.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| January 13, 2025  | New document, Content update  | - Addition of more details about the[Car ready mobile apps](https://developer.android.com/training/cars/car-ready-mobile-apps)program. - Addition of the[Android Automotive OS compatibility mode](https://developer.android.com/training/cars/platforms/automotive-os/compatibility-mode)page.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| December 10, 2024 | New document, Content update  | Introduction of the Weather category: - Addition of Weather to the[supported app categories](https://developer.android.com/training/cars#weather). - Addition of the[Build a weather app](https://developer.android.com/training/cars/apps/weather)page. - Addition and updates of[car app quality](https://developer.android.com/docs/quality-guidelines/car-app-quality)guidelines for weather apps. At this time, any developer can publish weather apps to internal testing, closed testing, and open testing tracks.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| December 10, 2024 | Content update                | Distributing apps to Android Automotive OS devices through the Play Console supports new options: - In addition to distribution through the dedicated Android Automotive OS track, some apps can alternatively be distributed to Android Automotive OS devices though the mobile release track. See[Choose a track for Android Automotive OS](https://developer.android.com/training/cars/distribute#choose-track-aaos). - Depending on the distribution track type used for Android Automotive OS, the restrictions for the`android:required`attribute for the`android.hardware.type.automotive``<uses-feature>`manifest element have changed for[parked apps](https://developer.android.com/training/cars/parked#required-features). Simplification of existing distribution guidance and addition of more details in[Distribute to cars](https://developer.android.com/training/cars/distribute).                                                                                                                                                                                                                                                                                                                                      |
| November 25, 2024 | Content update                | Addition of guidance in[Build media apps for cars](https://developer.android.com/training/cars/media)for providing metadata about standard icons for custom actions. See[Icons for custom actions](https://developer.android.com/training/cars/media#custom-action-icons).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| November 13, 2024 | Content update                | - The[App set ID](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services#app-set-id)module is available as a[Google Play service for cars with Google built-in](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services). - The[Thread Network](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services#thread-network)module is available as a[Google Play service for cars with Google built-in](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services). - The[Play Games Services (v2)](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services#pgs)modules are available as[Google Play services for cars with Google built-in](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services).                                                                                                                                                                                                                                                                                          |
| September 4, 2024 | Content update                | Addition of new*Android Automotive with Google APIs* and*Android Automotive with Google Play* API 34[emulator images](https://developer.android.com/training/cars/testing/emulator#generic-images)in[Test using the Android Automotive OS emulator](https://developer.android.com/training/cars/testing/emulator).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| August 16, 2024   | Content update                | Addition of new*Automotive (1408p landscape)* and*Automotive (1408p landscape) with Google Play* [hardware profiles](https://developer.android.com/training/cars/testing/emulator#bundled-profiles)in[Test using the Android Automotive OS emulator](https://developer.android.com/training/cars/testing/emulator).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| July 29, 2024     | Content update                | Addition of new*Automotive Distant Display with Google Play* [system images](https://developer.android.com/training/cars/testing/emulator#generic-images)and the*Automotive Distant Display with Google Play* [hardware profile](https://developer.android.com/training/cars/testing/emulator#bundled-profiles)in[Test using the Android Automotive OS emulator](https://developer.android.com/training/cars/testing/emulator).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| June 11, 2024     | Content update                | Updates for[Car App Library version 1.7](https://developer.android.com/jetpack/androidx/releases/car-app#version_17_2): - Documentation for the new`MapWithContentTemplate` - Added access details in[Access the navigation templates](https://developer.android.com/training/cars/apps/navigation#access-navigation-templates). - Added access details in[Access the map templates](https://developer.android.com/training/cars/apps/poi#access-map-templates). - Moved[Draw maps](https://developer.android.com/training/cars/apps#draw-maps)and[Let users interact with your map](https://developer.android.com/training/cars/apps#map-interactivity)from[Build a navigation app](https://developer.android.com/training/cars/apps/navigation)to[Use the Android for Cars App Library](https://developer.android.com/training/cars/apps). - Addition of deprecation markers for the`PlaceListNavigationTemplate`,`RoutePreviewNavigationTemplate`, and`MapTemplate`and guidance to[Migrate to the MapWithContentTemplate](https://developer.android.com/training/cars/apps/navigation#migrate-to-mwct). - Addition of the`fetchExteriorDimensions`API to[Car Hardware APIs](https://developer.android.com/training/cars/apps#carinfo). |
| May 30, 2024      | New document                  | Addition of the[Test using Android Automotive OS on Pixel Tablet](https://developer.android.com/training/cars/testing/aaos-on-pixel)page.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| May 15, 2024      | Content update                | Addition of early access partner self-nomination form to[Build messaging apps for Android Auto](https://developer.android.com/training/cars/messaging),[Build games for Android Automotive OS](https://developer.android.com/training/cars/parked/games), and[Build browsers for Android Automotive OS](https://developer.android.com/training/cars/parked/browser).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| May 15, 2024      | New document                  | Addition of the[Car ready mobile apps](https://developer.android.com/training/cars/car-ready-mobile-apps)page.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| May 15, 2024      | Content update                | Introduction of the[Car quality tiers](https://developer.android.com/docs/quality-guidelines/car-app-quality#car-quality-tiers)and reorganization of the existing car quality guidelines into three tiers. See the[May 2024 change notes](https://developer.android.com/docs/quality-guidelines/car-app-quality#may-24)for additional updates.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| May 14, 2024      | New documents, Content update | Addition of: - New[system images](https://developer.android.com/training/cars/testing/emulator#generic-images)and[hardware profiles](https://developer.android.com/training/cars/testing/emulator#bundled-profiles)in[Test using the Android Automotive OS emulator](https://developer.android.com/training/cars/testing/emulator). - The[Test using the configurable emulator](https://developer.android.com/training/cars/testing/emulator/configurable)page. - The[Test using the distant display emulator](https://developer.android.com/training/cars/testing/emulator/distant-display)page.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| May 10, 2024      | New document                  | Addition of this page.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Apr 26, 2024      | Content update                | Addition of a new section,[Read media host hints](https://developer.android.com/training/cars/media/automotive-os#read-media-host-hints), to[Add Android Automotive OS support to your media app](https://developer.android.com/training/cars/media/automotive-os).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| Feb 26, 2024      | Content update                | Addition of the*Play Integrity API* to the list of[Google Play services for cars with Google built-in](https://developer.android.com/training/cars/platforms/automotive-os/google-play/google-services).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| Feb 20, 2024      | Content update                | Addition of a new section,[Use bundled hardware profiles](https://developer.android.com/training/cars/testing/emulator#bundled-profiles), to[Test using the Android Automotive OS emulator](https://developer.android.com/training/cars/testing/emulator).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Feb 8, 2024       | Content update                | Addition of a new section,[Discourage distractions in your settings and sign-in activities](https://developer.android.com/training/cars/media/automotive-os#discourage-distractions), to[Add Android Automotive OS support to your media app](https://developer.android.com/training/cars/media/automotive-os)to clarify the requirement for the settings and sign-in activities of media apps on Android Automotive OS to not be usable while driving.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| Feb 6, 2024       | Content update                | Addition of a new section,[Work with window insets and display cutouts](https://developer.android.com/training/cars/parked#insets-and-cutouts), to[Build parked apps for Android Automotive OS](https://developer.android.com/training/cars/parked).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| Jan 31, 2024      | Content update                | Addition of a new section,[Custom Browse Actions](https://developer.android.com/training/cars/media#custom_browse_actions), to[Build media apps for cars](https://developer.android.com/training/cars/media). Custom browse actions allow you to provide actions for media items in the browsing view. For example, they make can be used to give users the ability to favorite or download entire playlist.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Jan 2, 2024       | Content update                | Addition of a two sections,[Update your Gradle dependencies](https://developer.android.com/training/cars/apps/automotive-os#update-gradle-dependencies)and[Additional requirements for navigation apps](https://developer.android.com/training/cars/apps/automotive-os#navigation-reqs), to[Add support for Android Automotive OS to your templated app](https://developer.android.com/training/cars/apps/automotive-os)to clarify: - The additional dependency upon the`androidx.car.app:app-automotive`artifact required for templated apps on Android Automotive OS. - The manifest declarations required only for navigation apps.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |